import request from '@/utils/request'

// 获取皇冠代理库存
export function getCrownStock(params) {
  return request({
    url: '/storage/GetStorageNum',
    method: 'Get',
    params
  })
}

// 入库出库详情
export function getPutOutStorage(params) {
  return request({
    url: '/storage/GetPutOutDetail',
    method: 'Get',
    params
  })
}

// 导出详情
export function exportStock(params) {
  return request({
    url: '/storage/exportData',
    method: 'Get',
    params
  })
}

// 导出所有详情
export function exportAllStockDetail(params) {
  return request({
    url: '/storage/ExportStorageDetail',
    method: 'Get',
    params
  })
}
// 设置短信发送周期
export function GetSmsTime(params) {
  return request({
    url: '/storage/GetSmsTime',
    method: 'Get',
    params
  })
}
// 修改短信发送周期
export function SetSmsTime(params) {
  return request({
    url: '/storage/SetSmsTime',
    method: 'Get',
    params
  })
}
